## Сервис для обучения модели на основе алгоритма CART (Сервис Classification and Regression Trees)

Данный сервис необходим для обучения модели на основе алгоритма CART (дерево решений) для решения задач регрессии и классификации.

Взаимодействие с сервисом осуществляется с помощью REST API.

Также можно использовать Swagger UI вместо пользовательского интерфейса.

Основные функции сервиса:
- обучение модели на основе CART для решения задачи регрессии;
- обучение модели на основе CART для решения задачи классификации;
- оценка моделей с помощью соответствующих метрик для регрессии (MSE, MAE, R2 и т. д.) и классификации (accuracy, recall, precision и т. д.);
- представление дерева решений в виде множества правил;
- вывод полученного дерева решений.

Сервис необходим для решения задачи получения множества правил из дерева решений с возможностью оценки качества полученной модели.

Извлеченные правила могут быть использованы для построения систем управления, интерпретации полученной модели и т. д.